cabal-version: 3.4

name:           yore
version:        0.0.9
author:         Paul Brinkmeier
maintainer:     hallo@pbrinkmeier.de
copyright:      2023 Paul Brinkmeier
license:        MIT
license-file:   LICENSE
build-type:     Simple
extra-source-files:
    README.md

source-repository head
  type: git
  location: https://git.pbrinkmeier.de/paul/yore

common shared-options
  ghc-options:
    -Wall
    -Wcompat
    -Widentities
    -Wincomplete-record-updates
    -Wincomplete-uni-patterns
    -Wmissing-export-lists
    -Wmissing-home-modules
    -Wpartial-fields
    -Wredundant-constraints
  default-language: GHC2021
  default-extensions:
    NoImportQualifiedPost

library
  import: shared-options
  exposed-modules:
      Envy
    , Yore.DB
    , Yore.Download
    , Yore.Error
    , Yore.Log
    , Yore.Schedule
    , Yore.Scrape
    , Yore.Time
    , Yore.Servant
  hs-source-dirs:
      src
  build-depends:
      base >=4.18 && <5
    , bytestring
    , directory
    , filepath
    , html-parse
    , http-media
    , http-types
    , lens
    , modern-uri
    , mtl
    , opium
    , req
    , resource-pool
    , servant-server
    , text
    , time
    , transformers
    , uuid
    , wai

executable yore
  import: shared-options
  main-is: Main.hs
  hs-source-dirs:
      app
  ghc-options:
    -threaded
    -rtsopts
    -with-rtsopts=-N
    -ghci-script=.ghci
    -O
  build-depends:
      yore
    , base >=4.18 && <5
    , blaze-html
    , bytestring
    , filepath
    , opium
    , http-types
    , servant-server
    , text
    , time
    , transformers
    , wai
    , warp
